#include <stdio.h>
#include "i8094_dll.h"

int main( void )
{
   BYTE bCardID = 0; //bCardID=(bSlotNum-1), if the I-8094 plug-in Slot 2 of LinPAC, bCardID=2-1=1 
   short nRet;
   AXIS_RANGE_SETTINGS RangeSetting;

   nRet = i8094_open( bCardID  ); 
   
   if( nRet == SUCCESS_NO_ERROR )
   {
	      nRet = i8094_get_range_settings( bCardID, AXIS_X, &RangeSetting );
        if( nRet != SUCCESS_NO_ERROR )
	      {
	          printf(" i8094_get_range_settings() failed, error code = %d\n", nRet );
	          return nRet;
       	}
	      printf (" AXIS_X: [Max. Speed = %ld]  [Min. Speed = %ld]  [Max. Acce = %ld]  [Min. Acce = %ld]\n", RangeSetting.Speed_Max, RangeSetting.Speed_Min, RangeSetting.Acce_Max, RangeSetting.Acce_Min );
			
        printf(" Press ENTER to change the Range "); getchar(); 

	      nRet = i8094_set_range( bCardID, AXIS_X, 25600 );
        if( nRet != SUCCESS_NO_ERROR )
	      {
	          printf(" i8094_set_range() failed, error code = %d\n", nRet );
	          return nRet;
	      }

	      nRet = i8094_get_range_settings( bCardID, AXIS_X, &RangeSetting );
        if( nRet != SUCCESS_NO_ERROR )
	      {
	        printf(" i8094_get_range_settings() failed, error code = %d\n", nRet );
	        return nRet;
	      }
	      printf(" AXIS_X: [Max. Speed = %ld]  [Min. Speed = %ld]\n", RangeSetting.Speed_Max, RangeSetting.Speed_Min);
	      printf(" [Max. Acce = %ld]  [Min. Acce = %ld]  [Max. Jerk = %ld]  [Min. Jerk = %ld]\n", RangeSetting.Acce_Max, RangeSetting.Acce_Min, RangeSetting.AcceRate_Max, RangeSetting.AcceRate_Min );

        printf(" Press ENTER again to restore the Range "); getchar(); 

	      i8094_set_range( bCardID, AXIS_X, 16000 );
	      i8094_close( bCardID );
   }
   else
	    printf (" i8094_open() return %d !\n", nRet ); 

   return 0;

}
